
function PositionChangedWindow()
	------------------------------------------------------------------------------------------
-- if the position changes, save the new window location
------------------------------------------------------------------------------------------
	AltHolicWindow.PositionChanged = function( sender, args )
    	local x,y = AltHolicWindow:GetPosition();
    	settings["windowPosition"]["xPos"] = x;
    	settings["windowPosition"]["yPos"] = y;
		SaveSettings();
	end
end
------------------------------------------------------------------------------------------
-- event handling
------------------------------------------------------------------------------------------
function EscapeKeyHandler()
	AltHolicWindow.KeyDown=function(sender, args)
		if ( args.Action == Turbine.UI.Lotro.Action.Escape ) then
			if(settings["escEnable"]["escEnable"] == true) then
				AltHolicWindow:SetVisible(false);
				settings["isWindowVisible"]["isWindowVisible"] = false;
				SaveSettings();
			end
		end
	
		-- https://www.lotro.com/forums/showthread.php?493466-How-to-hide-a-window-on-F12&p=6581962#post6581962
		if ( args.Action == 268435635 ) then
			hudVisible=not hudVisible;
			if hudVisible then
				AltHolicWindow:SetVisible(false);
				MainMinimizedIcon:SetVisible(false);
			else
				AltHolicWindow:SetVisible(settings.isWindowVisible);
				MainMinimizedIcon:SetVisible(true);
			end
		end
	end
end

------------------------------------------------------------------------------------------
-- display the list of command
------------------------------------------------------------------------------------------
function commandsHelp()
	notification(
		rgb["start"] .. 
		Strings.PluginHelp1 ..
		rgb["clear"] ..
		Strings.PluginHelp2 ..
		Strings.PluginHelp3 ..
		Strings.PluginHelp4 ..
		Strings.PluginHelp5 ..
		Strings.PluginHelp6 
	);
end

function DisplayEquipment(posx, posy, namePlayerToshow)
	local equipMent = Turbine.Gameplay.LocalPlayer:GetInstance():GetEquipment();
	local equip = { };

	local nbrItems = 0;
	for i=1, 20 do
		equip[i] = equipMent:GetItem(i);
	end

	buttonDefineHouseLocationPersonalFaux2 = Turbine.UI.Extensions.SimpleWindow();
	buttonDefineHouseLocationPersonalFaux2:SetParent( AltHolicWindow );
	buttonDefineHouseLocationPersonalFaux2:SetPosition(posx, posy);
	buttonDefineHouseLocationPersonalFaux2:SetSize( 32, 32 );
	buttonDefineHouseLocationPersonalFaux2:SetVisible(true);
	buttonDefineHouseLocationPersonalFaux2:SetZOrder(30);

	buttonDefineHouseLocationPersonalFaux2.MouseEnter = function()
		SaveEquipment();
		CreateUIShowEquip(namePlayerToshow);
		UIShowEquip:SetVisible(true);
	end

	buttonDefineHouseLocationPersonalFaux2.MouseLeave = function()
		UIShowEquip:SetVisible(false);
	end
end

function DisplaySmallLabel(i, posx, posy, texte)
	buttonDefineHouseLocationPersonalFaux = Turbine.UI.Extensions.SimpleWindow();
	buttonDefineHouseLocationPersonalFaux:SetParent( AltHolicWindow );
	buttonDefineHouseLocationPersonalFaux:SetPosition(posx, posy);
	buttonDefineHouseLocationPersonalFaux:SetSize( 45, 45 );
	buttonDefineHouseLocationPersonalFaux:SetVisible(true);
	buttonDefineHouseLocationPersonalFaux:SetZOrder(19);

	ButtonPlusLab[i] = Turbine.UI.Extensions.SimpleWindow();
	ButtonPlusLab[i]:SetParent( AltHolicWindow );
	ButtonPlusLab[i]:SetPosition(posx + 50 , posy + 7);
	ButtonPlusLab[i]:SetSize( 180, 30 );
	ButtonPlusLab[i]:SetVisible(false);
	ButtonPlusLab[i]:SetZOrder(20);
	ButtonPlusLab[i]:SetBackground(ResourcePath .. "/Cadre_180_30.tga");

	centerLabelBLab[i] = Turbine.UI.Label();
	centerLabelBLab[i]:SetParent(ButtonPlusLab[i]);
	centerLabelBLab[i]:SetPosition( 2, 2 );
	centerLabelBLab[i]:SetSize( 176, 26  );
	centerLabelBLab[i]:SetFont(Turbine.UI.Lotro.Font.Verdana20);
	centerLabelBLab[i]:SetText( texte );
	centerLabelBLab[i]:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	centerLabelBLab[i]:SetZOrder(21);
	centerLabelBLab[i]:SetBackColor( Turbine.UI.Color( .8, .1, .4, .9) );

	buttonDefineHouseLocationPersonalFaux.MouseEnter = function()
		ButtonPlusLab[i]:SetVisible(true);
	end

	buttonDefineHouseLocationPersonalFaux.MouseLeave = function()
		ButtonPlusLab[i]:SetVisible(false);
	end
end
------------------------------------------------------------------------------------------
-- Closing window handler
------------------------------------------------------------------------------------------
function ClosingTheWindow()
	function AltHolicWindow:Closing(sender, args)
		settings["isWindowVisible"]["isWindowVisible"] = false;
		SaveSettings();
	end
end
function UpdateLvl(playerName)
	local currentLvl = 0;
	local player = Turbine.Gameplay.LocalPlayer.GetInstance();
	local lvlplayer = player:GetLevel();
	local altNumber = 0;

	for i=1, settings["nameAccount"]["account1"]["nbrAlt"] do 
		if(settings["nameAlts"]["alts" .. i]["name"] == playerName)then
			currentLvl = settings["nameAlts"]["alts" .. i]["lvl"];
			altNumber = i;
		end
	end

	if(altNumber ~= 0)then
		if(currentLvl < lvlplayer)then
			settings["nameAlts"]["alts" .. altNumber]["lvl"] = lvlplayer;
			settings["nameAccount"]["account1"]["isVisible"] = true;

			SaveSettings();
			if(settings["nameAccount"]["account1"]["nbrAlt"] == 0 or settings["nameAccount"]["account1"]["isVisible"] == false)then
				CreateMainWindow(350, 130);
				AltHolicWindow:SetVisible(true);
			else
				winHeight = (settings["nameAccount"]["account1"]["nbrAlt"] * 46) + 130;
				if(winHeight < 130)then
					winHeight = 200;
				end
				CreateMainWindow(350, winHeight);
				AltHolicWindow:SetVisible(true);
			end
		end
	end
end

function UpdateCash(playerName)
	local currentCash = 0;
	local player = Turbine.Gameplay.LocalPlayer.GetInstance();
	local playerAttr = player:GetAttributes();
	local cash =  playerAttr:GetMoney();
	local altNumber = 0;
	local totalCash = 0;

	for i=1, settings["nameAccount"]["account1"]["nbrAlt"] do 
		if(settings["nameAlts"]["alts" .. i]["name"] == playerName)then
			currentCash = settings["nameAlts"]["alts" .. i]["cash"];
			altNumber = i;
		end
	end

	if(settings["nameAccount"]["account1"]["nbrAlt"] >= 1)then
		if(currentCash < cash)then
			settings["nameAlts"]["alts" .. altNumber]["cash"] = cash;
			settings["nameAccount"]["account1"]["isVisible"] = false;
			SaveSettings();
			if(settings["nameAccount"]["account1"]["nbrAlt"] == 0 or settings["nameAccount"]["account1"]["isVisible"] == false)then
				CreateMainWindow(350, 130);
				AltHolicWindow:SetVisible(true);
			else
				winHeight = (settings["nameAccount"]["account1"]["nbrAlt"] * 46) + 130;
				if(winHeight < 130)then
					winHeight = 200;
				end
				CreateMainWindow(350, winHeight);
				AltHolicWindow:SetVisible(true);
			end
		end
	end
end

function ClearEquipment()
	local player = Turbine.Gameplay.LocalPlayer.GetInstance();
	local playerName = player:GetName();

	for i=1, settings["nameAccount"]["account1"]["nbrAlt"] do
		--Turbine.Shell.WriteLine("saving equipment for alts : " .. i);

		if(settings["nameAlts"]["alts" .. i]["name"] == playerName)then
			settings["nameAlts"]["alts" .. i]["equipment"]["back"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["back"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["back"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["back"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["back"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["back"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["back"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["back"]["CAT"] = 0;

			settings["nameAlts"]["alts" .. i]["equipment"]["Boots"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Boots"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Boots"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Boots"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Boots"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Boots"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["Boots"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Boots"]["CAT"] = 0;

			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet1"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet1"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet1"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet1"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet1"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet1"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet1"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet1"]["CAT"] = 0;

			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet2"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet2"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet2"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet2"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet2"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet2"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet2"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet2"]["CAT"] = 0;

			settings["nameAlts"]["alts" .. i]["equipment"]["Chest"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Chest"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Chest"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Chest"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Chest"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Chest"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["Chest"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Chest"]["CAT"] = 0;

			settings["nameAlts"]["alts" .. i]["equipment"]["Class"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Class"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Class"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Class"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Class"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Class"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["Class"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Class"]["CAT"] = 0;

			settings["nameAlts"]["alts" .. i]["equipment"]["CraftTool"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["CraftTool"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["CraftTool"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["CraftTool"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["CraftTool"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["CraftTool"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["CraftTool"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["CraftTool"]["CAT"] = 0;

			settings["nameAlts"]["alts" .. i]["equipment"]["Earring1"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring1"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring1"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring1"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring1"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring1"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring1"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring1"]["CAT"] = 0;

			settings["nameAlts"]["alts" .. i]["equipment"]["Earring2"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring2"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring2"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring2"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring2"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring2"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring2"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring2"]["CAT"] = 0;

			settings["nameAlts"]["alts" .. i]["equipment"]["Gloves"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Gloves"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Gloves"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Gloves"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Gloves"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Gloves"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["Gloves"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Gloves"]["CAT"] = 0;

			settings["nameAlts"]["alts" .. i]["equipment"]["Head"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Head"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Head"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Head"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Head"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Head"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["Head"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Head"]["CAT"] = 0;

			settings["nameAlts"]["alts" .. i]["equipment"]["Instrument"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Instrument"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Instrument"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Instrument"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Instrument"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Instrument"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["Instrument"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Instrument"]["CAT"] = 0;

			settings["nameAlts"]["alts" .. i]["equipment"]["Legs"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Legs"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Legs"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Legs"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Legs"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Legs"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["Legs"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Legs"]["CAT"] = 0;
			
			settings["nameAlts"]["alts" .. i]["equipment"]["Necklace"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Necklace"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Necklace"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Necklace"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Necklace"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Necklace"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["Necklace"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Necklace"]["CAT"] = 0;

			settings["nameAlts"]["alts" .. i]["equipment"]["Pocket"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Pocket"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Pocket"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Pocket"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Pocket"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Pocket"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["Pocket"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Pocket"]["CAT"] = 0;

			settings["nameAlts"]["alts" .. i]["equipment"]["PrimaryWeapon"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["PrimaryWeapon"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["PrimaryWeapon"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["PrimaryWeapon"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["PrimaryWeapon"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["PrimaryWeapon"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["PrimaryWeapon"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["PrimaryWeapon"]["CAT"] = 0;

			settings["nameAlts"]["alts" .. i]["equipment"]["RangedWeapon"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["RangedWeapon"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["RangedWeapon"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["RangedWeapon"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["RangedWeapon"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["RangedWeapon"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["RangedWeapon"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["RangedWeapon"]["CAT"] = 0;

			settings["nameAlts"]["alts" .. i]["equipment"]["Ring1"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Ring1"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Ring1"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Ring1"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Ring1"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Ring1"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["Ring1"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Ring1"]["CAT"] = 0;

			settings["nameAlts"]["alts" .. i]["equipment"]["Ring2"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Ring2"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Ring2"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Ring2"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Ring2"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Ring2"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["Ring2"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Ring2"]["CAT"] = 0;

			settings["nameAlts"]["alts" .. i]["equipment"]["SecondaryWeapon"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["SecondaryWeapon"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["SecondaryWeapon"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["SecondaryWeapon"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["SecondaryWeapon"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["SecondaryWeapon"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["SecondaryWeapon"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["SecondaryWeapon"]["CAT"] = 0;

			settings["nameAlts"]["alts" .. i]["equipment"]["Shield"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Shield"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Shield"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Shield"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Shield"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Shield"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["Shield"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Shield"]["CAT"] = 0;

			settings["nameAlts"]["alts" .. i]["equipment"]["Shoulder"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Shoulder"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Shoulder"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Shoulder"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Shoulder"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Shoulder"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["Shoulder"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Shoulder"]["CAT"] = 0;
		end
	end
end


function ClearAll()
	for i=1, settings["nameAccount"]["account1"]["nbrAlt"] do
			settings["nameAlts"]["alts" .. i]["equipment"]["back"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["back"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["back"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["back"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["back"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["back"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["back"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["back"]["CAT"] = 0;

			settings["nameAlts"]["alts" .. i]["equipment"]["Boots"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Boots"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Boots"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Boots"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Boots"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Boots"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["Boots"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Boots"]["CAT"] = 0;

			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet1"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet1"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet1"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet1"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet1"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet1"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet1"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet1"]["CAT"] = 0;

			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet2"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet2"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet2"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet2"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet2"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet2"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet2"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet2"]["CAT"] = 0;

			settings["nameAlts"]["alts" .. i]["equipment"]["Chest"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Chest"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Chest"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Chest"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Chest"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Chest"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["Chest"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Chest"]["CAT"] = 0;

			settings["nameAlts"]["alts" .. i]["equipment"]["Class"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Class"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Class"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Class"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Class"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Class"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["Class"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Class"]["CAT"] = 0;

			settings["nameAlts"]["alts" .. i]["equipment"]["CraftTool"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["CraftTool"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["CraftTool"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["CraftTool"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["CraftTool"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["CraftTool"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["CraftTool"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["CraftTool"]["CAT"] = 0;

			settings["nameAlts"]["alts" .. i]["equipment"]["Earring1"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring1"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring1"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring1"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring1"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring1"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring1"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring1"]["CAT"] = 0;

			settings["nameAlts"]["alts" .. i]["equipment"]["Earring2"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring2"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring2"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring2"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring2"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring2"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring2"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring2"]["CAT"] = 0;

			settings["nameAlts"]["alts" .. i]["equipment"]["Gloves"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Gloves"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Gloves"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Gloves"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Gloves"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Gloves"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["Gloves"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Gloves"]["CAT"] = 0;

			settings["nameAlts"]["alts" .. i]["equipment"]["Head"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Head"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Head"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Head"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Head"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Head"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["Head"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Head"]["CAT"] = 0;

			settings["nameAlts"]["alts" .. i]["equipment"]["Instrument"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Instrument"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Instrument"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Instrument"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Instrument"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Instrument"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["Instrument"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Instrument"]["CAT"] = 0;

			settings["nameAlts"]["alts" .. i]["equipment"]["Legs"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Legs"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Legs"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Legs"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Legs"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Legs"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["Legs"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Legs"]["CAT"] = 0;
			
			settings["nameAlts"]["alts" .. i]["equipment"]["Necklace"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Necklace"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Necklace"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Necklace"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Necklace"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Necklace"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["Necklace"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Necklace"]["CAT"] = 0;

			settings["nameAlts"]["alts" .. i]["equipment"]["Pocket"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Pocket"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Pocket"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Pocket"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Pocket"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Pocket"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["Pocket"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Pocket"]["CAT"] = 0;

			settings["nameAlts"]["alts" .. i]["equipment"]["PrimaryWeapon"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["PrimaryWeapon"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["PrimaryWeapon"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["PrimaryWeapon"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["PrimaryWeapon"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["PrimaryWeapon"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["PrimaryWeapon"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["PrimaryWeapon"]["CAT"] = 0;

			settings["nameAlts"]["alts" .. i]["equipment"]["RangedWeapon"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["RangedWeapon"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["RangedWeapon"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["RangedWeapon"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["RangedWeapon"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["RangedWeapon"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["RangedWeapon"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["RangedWeapon"]["CAT"] = 0;

			settings["nameAlts"]["alts" .. i]["equipment"]["Ring1"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Ring1"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Ring1"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Ring1"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Ring1"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Ring1"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["Ring1"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Ring1"]["CAT"] = 0;

			settings["nameAlts"]["alts" .. i]["equipment"]["Ring2"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Ring2"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Ring2"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Ring2"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Ring2"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Ring2"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["Ring2"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Ring2"]["CAT"] = 0;

			settings["nameAlts"]["alts" .. i]["equipment"]["SecondaryWeapon"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["SecondaryWeapon"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["SecondaryWeapon"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["SecondaryWeapon"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["SecondaryWeapon"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["SecondaryWeapon"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["SecondaryWeapon"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["SecondaryWeapon"]["CAT"] = 0;

			settings["nameAlts"]["alts" .. i]["equipment"]["Shield"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Shield"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Shield"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Shield"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Shield"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Shield"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["Shield"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Shield"]["CAT"] = 0;

			settings["nameAlts"]["alts" .. i]["equipment"]["Shoulder"]["Q"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Shoulder"]["B"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Shoulder"]["U"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Shoulder"]["S"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Shoulder"]["I"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Shoulder"]["N"] = "";
			settings["nameAlts"]["alts" .. i]["equipment"]["Shoulder"]["QA"] = 0;
			settings["nameAlts"]["alts" .. i]["equipment"]["Shoulder"]["CAT"] = 0;

			settings["nameAlts"]["alts" .. i]["name"] = "";
			settings["nameAlts"]["alts" .. i]["cla"] = "";
			settings["nameAlts"]["alts" .. i]["lvl"] = 0;
			settings["nameAlts"]["alts" .. i]["voc"] = 0;
			settings["nameAlts"]["alts" .. i]["rac"] = 0;
			settings["nameAlts"]["alts" .. i]["cash"] = 0;
	end

	settings["nameAccount"]["account1"]["name"] = "";
	settings["nameAccount"]["account1"]["nbrAlt"] = 0;
	settings["nameAccount"]["account1"]["isVisible"] = true;
end