------------------------------------------------------------------------------------------
-- create or load the settings
------------------------------------------------------------------------------------------
function LoadSettings()
	local _settings = PatchDataLoad(Turbine.DataScope.Account, "AltHolic_Settings", settings);
    if (_settings ~= nil) then 
		settings = _settings; 
	end
end
------------------------------------------------------------------------------------------
-- create the save settings
------------------------------------------------------------------------------------------
function SaveSettings()
	settings["windowPosition"]["xPos"] = tostring(AltHolicWindow:GetLeft());
    settings["windowPosition"]["yPos"] = tostring(AltHolicWindow:GetTop());
    settings["IconPosition"]["xPosIcon"] = tostring(MainMinimizedIcon:GetLeft());
   	settings["IconPosition"]["yPosIcon"] = tostring(MainMinimizedIcon:GetTop());
	settings["isMinimizeEnabled"]["isMinimizeEnabled"] = settings["isMinimizeEnabled"]["isMinimizeEnabled"];
	settings["isWindowVisible"]["isWindowVisible"] = settings["isWindowVisible"]["isWindowVisible"];
	settings["escEnable"]["escEnable"] = settings["escEnable"]["escEnable"];

	settings["nameAccount"]["account1"] = settings["nameAccount"]["account1"];

	settings["nameAlts"]["alts1"] = settings["nameAlts"]["alts1"];
	settings["nameAlts"]["alts2"] = settings["nameAlts"]["alts2"];
	settings["nameAlts"]["alts3"] = settings["nameAlts"]["alts3"];
	settings["nameAlts"]["alts4"] = settings["nameAlts"]["alts4"];
	settings["nameAlts"]["alts5"] = settings["nameAlts"]["alts5"];
	settings["nameAlts"]["alts6"] = settings["nameAlts"]["alts6"];
	settings["nameAlts"]["alts7"] = settings["nameAlts"]["alts7"];
	settings["nameAlts"]["alts8"] = settings["nameAlts"]["alts8"];
	settings["nameAlts"]["alts9"] = settings["nameAlts"]["alts9"];
	settings["nameAlts"]["alts10"] = settings["nameAlts"]["alts10"];
	settings["nameAlts"]["alts11"] = settings["nameAlts"]["alts11"];
	settings["nameAlts"]["alts12"] = settings["nameAlts"]["alts12"];
	settings["nameAlts"]["alts13"] = settings["nameAlts"]["alts13"];
	settings["nameAlts"]["alts14"] = settings["nameAlts"]["alts14"];
	settings["nameAlts"]["alts15"] = settings["nameAlts"]["alts15"];
	settings["nameAlts"]["alts16"] = settings["nameAlts"]["alts16"];
	settings["nameAlts"]["alts17"] = settings["nameAlts"]["alts17"];
	settings["nameAlts"]["alts18"] = settings["nameAlts"]["alts18"];
	settings["nameAlts"]["alts19"] = settings["nameAlts"]["alts19"];
	settings["nameAlts"]["alts20"] = settings["nameAlts"]["alts20"];
   
   -- save the settings
	PatchDataSave( Turbine.DataScope.Account, "AltHolic_Settings", settings);
end

function SaveEquipment()
	local player = Turbine.Gameplay.LocalPlayer.GetInstance();
	local playerName = player:GetName();
	local equipMent = player:GetEquipment();
	local equip = { };
	local playerAttr = player:GetAttributes();
	local cash =  playerAttr:GetMoney();

	for i=1, settings["nameAccount"]["account1"]["nbrAlt"] do
		if(settings["nameAlts"]["alts" .. i]["name"] == playerName)then
			settings["nameAlts"]["alts" .. i]["cash"] = cash;
		end
	end

	local nbrItems = 0;
	for i=1, 22 do
		equip[i] = equipMent:GetItem(i);
	end

	for i=1, settings["nameAccount"]["account1"]["nbrAlt"] do
		--Turbine.Shell.WriteLine("saving equipment for alts : " .. i);

		if(settings["nameAlts"]["alts" .. i]["name"] == playerName)then
			if(equip[1] ~= nil)then
				settings["nameAlts"]["alts" .. i]["equipment"]["back"]["Q"] = equip[1]:GetItemInfo():GetQualityImageID();
				settings["nameAlts"]["alts" .. i]["equipment"]["back"]["B"] = equip[1]:GetItemInfo():GetBackgroundImageID();
				settings["nameAlts"]["alts" .. i]["equipment"]["back"]["U"] = equip[1]:GetItemInfo():GetUnderlayImageID();
				settings["nameAlts"]["alts" .. i]["equipment"]["back"]["S"] = equip[1]:GetItemInfo():GetShadowImageID();
				settings["nameAlts"]["alts" .. i]["equipment"]["back"]["I"] = equip[1]:GetItemInfo():GetIconImageID();
				settings["nameAlts"]["alts" .. i]["equipment"]["back"]["N"] = equip[1]:GetItemInfo():GetName();
				settings["nameAlts"]["alts" .. i]["equipment"]["back"]["QA"] = equip[1]:GetItemInfo():GetQuality();
				settings["nameAlts"]["alts" .. i]["equipment"]["back"]["CAT"] = equip[1]:GetItemInfo():GetCategory();
			end
			if(equip[2] ~= nil)then
			settings["nameAlts"]["alts" .. i]["equipment"]["Boots"]["Q"] = equip[2]:GetItemInfo():GetQualityImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Boots"]["B"] = equip[2]:GetItemInfo():GetBackgroundImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Boots"]["U"] = equip[2]:GetItemInfo():GetUnderlayImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Boots"]["S"] = equip[2]:GetItemInfo():GetShadowImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Boots"]["I"] = equip[2]:GetItemInfo():GetIconImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Boots"]["N"] = equip[2]:GetItemInfo():GetName();
			settings["nameAlts"]["alts" .. i]["equipment"]["Boots"]["QA"] = equip[2]:GetItemInfo():GetQuality();
			settings["nameAlts"]["alts" .. i]["equipment"]["Boots"]["CAT"] = equip[2]:GetItemInfo():GetCategory();
			end
			if(equip[3] ~= nil)then
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet1"]["Q"] = equip[3]:GetItemInfo():GetQualityImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet1"]["B"] = equip[3]:GetItemInfo():GetBackgroundImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet1"]["U"] = equip[3]:GetItemInfo():GetUnderlayImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet1"]["S"] = equip[3]:GetItemInfo():GetShadowImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet1"]["I"] = equip[3]:GetItemInfo():GetIconImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet1"]["N"] = equip[3]:GetItemInfo():GetName();
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet1"]["QA"] = equip[3]:GetItemInfo():GetQuality();
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet1"]["CAT"] = equip[3]:GetItemInfo():GetCategory();
			end
			if(equip[4] ~= nil)then
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet2"]["Q"] = equip[4]:GetItemInfo():GetQualityImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet2"]["B"] = equip[4]:GetItemInfo():GetBackgroundImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet2"]["U"] = equip[4]:GetItemInfo():GetUnderlayImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet2"]["S"] = equip[4]:GetItemInfo():GetShadowImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet2"]["I"] = equip[4]:GetItemInfo():GetIconImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet2"]["N"] = equip[4]:GetItemInfo():GetName();
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet2"]["QA"] = equip[4]:GetItemInfo():GetQuality();
			settings["nameAlts"]["alts" .. i]["equipment"]["Bracelet2"]["CAT"] = equip[4]:GetItemInfo():GetCategory();
			end
			if(equip[5] ~= nil)then
			settings["nameAlts"]["alts" .. i]["equipment"]["Chest"]["Q"] = equip[5]:GetItemInfo():GetQualityImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Chest"]["B"] = equip[5]:GetItemInfo():GetBackgroundImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Chest"]["U"] = equip[5]:GetItemInfo():GetUnderlayImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Chest"]["S"] = equip[5]:GetItemInfo():GetShadowImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Chest"]["I"] = equip[5]:GetItemInfo():GetIconImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Chest"]["N"] = equip[5]:GetItemInfo():GetName();
			settings["nameAlts"]["alts" .. i]["equipment"]["Chest"]["QA"] = equip[5]:GetItemInfo():GetQuality();
			settings["nameAlts"]["alts" .. i]["equipment"]["Chest"]["CAT"] = equip[5]:GetItemInfo():GetCategory();
			end
			if(equip[6] ~= nil)then
			settings["nameAlts"]["alts" .. i]["equipment"]["Class"]["Q"] = equip[6]:GetItemInfo():GetQualityImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Class"]["B"] = equip[6]:GetItemInfo():GetBackgroundImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Class"]["U"] = equip[6]:GetItemInfo():GetUnderlayImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Class"]["S"] = equip[6]:GetItemInfo():GetShadowImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Class"]["I"] = equip[6]:GetItemInfo():GetIconImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Class"]["N"] = equip[6]:GetItemInfo():GetName();
			settings["nameAlts"]["alts" .. i]["equipment"]["Class"]["QA"] = equip[6]:GetItemInfo():GetQuality();
			settings["nameAlts"]["alts" .. i]["equipment"]["Class"]["CAT"] = equip[6]:GetItemInfo():GetCategory();
			end
			if(equip[7] ~= nil)then
			settings["nameAlts"]["alts" .. i]["equipment"]["CraftTool"]["Q"] = equip[7]:GetItemInfo():GetQualityImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["CraftTool"]["B"] = equip[7]:GetItemInfo():GetBackgroundImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["CraftTool"]["U"] = equip[7]:GetItemInfo():GetUnderlayImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["CraftTool"]["S"] = equip[7]:GetItemInfo():GetShadowImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["CraftTool"]["I"] = equip[7]:GetItemInfo():GetIconImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["CraftTool"]["N"] = equip[7]:GetItemInfo():GetName();
			settings["nameAlts"]["alts" .. i]["equipment"]["CraftTool"]["QA"] = equip[7]:GetItemInfo():GetQuality();
			settings["nameAlts"]["alts" .. i]["equipment"]["CraftTool"]["CAT"] = equip[7]:GetItemInfo():GetCategory();
			end
			if(equip[8] ~= nil)then
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring1"]["Q"] = equip[8]:GetItemInfo():GetQualityImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring1"]["B"] = equip[8]:GetItemInfo():GetBackgroundImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring1"]["U"] = equip[8]:GetItemInfo():GetUnderlayImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring1"]["S"] = equip[8]:GetItemInfo():GetShadowImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring1"]["I"] = equip[8]:GetItemInfo():GetIconImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring1"]["N"] = equip[8]:GetItemInfo():GetName();
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring1"]["QA"] = equip[8]:GetItemInfo():GetQuality();
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring1"]["CAT"] = equip[8]:GetItemInfo():GetCategory();
			end
			if(equip[9] ~= nil)then
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring2"]["Q"] = equip[9]:GetItemInfo():GetQualityImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring2"]["B"] = equip[9]:GetItemInfo():GetBackgroundImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring2"]["U"] = equip[9]:GetItemInfo():GetUnderlayImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring2"]["S"] = equip[9]:GetItemInfo():GetShadowImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring2"]["I"] = equip[9]:GetItemInfo():GetIconImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring2"]["N"] = equip[9]:GetItemInfo():GetName();
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring2"]["QA"] = equip[9]:GetItemInfo():GetQuality();
			settings["nameAlts"]["alts" .. i]["equipment"]["Earring2"]["CAT"] = equip[9]:GetItemInfo():GetCategory();
			end
			if(equip[10] ~= nil)then
			settings["nameAlts"]["alts" .. i]["equipment"]["Gloves"]["Q"] = equip[10]:GetItemInfo():GetQualityImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Gloves"]["B"] = equip[10]:GetItemInfo():GetBackgroundImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Gloves"]["U"] = equip[10]:GetItemInfo():GetUnderlayImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Gloves"]["S"] = equip[10]:GetItemInfo():GetShadowImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Gloves"]["I"] = equip[10]:GetItemInfo():GetIconImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Gloves"]["N"] = equip[10]:GetItemInfo():GetName();
			settings["nameAlts"]["alts" .. i]["equipment"]["Gloves"]["QA"] = equip[10]:GetItemInfo():GetQuality();
			settings["nameAlts"]["alts" .. i]["equipment"]["Gloves"]["CAT"] = equip[10]:GetItemInfo():GetCategory();
			end
			if(equip[11] ~= nil)then
			settings["nameAlts"]["alts" .. i]["equipment"]["Head"]["Q"] = equip[11]:GetItemInfo():GetQualityImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Head"]["B"] = equip[11]:GetItemInfo():GetBackgroundImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Head"]["U"] = equip[11]:GetItemInfo():GetUnderlayImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Head"]["S"] = equip[11]:GetItemInfo():GetShadowImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Head"]["I"] = equip[11]:GetItemInfo():GetIconImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Head"]["N"] = equip[11]:GetItemInfo():GetName();
			settings["nameAlts"]["alts" .. i]["equipment"]["Head"]["QA"] = equip[11]:GetItemInfo():GetQuality();
			settings["nameAlts"]["alts" .. i]["equipment"]["Head"]["CAT"] = equip[11]:GetItemInfo():GetCategory();
			end
			if(equip[12] ~= nil)then
			settings["nameAlts"]["alts" .. i]["equipment"]["Instrument"]["Q"] = equip[12]:GetItemInfo():GetQualityImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Instrument"]["B"] = equip[12]:GetItemInfo():GetBackgroundImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Instrument"]["U"] = equip[12]:GetItemInfo():GetUnderlayImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Instrument"]["S"] = equip[12]:GetItemInfo():GetShadowImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Instrument"]["I"] = equip[12]:GetItemInfo():GetIconImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Instrument"]["N"] = equip[12]:GetItemInfo():GetName();
			settings["nameAlts"]["alts" .. i]["equipment"]["Instrument"]["QA"] = equip[12]:GetItemInfo():GetQuality();
			settings["nameAlts"]["alts" .. i]["equipment"]["Instrument"]["CAT"] = equip[12]:GetItemInfo():GetCategory();
			end
			if(equip[13] ~= nil)then
			settings["nameAlts"]["alts" .. i]["equipment"]["Legs"]["Q"] = equip[13]:GetItemInfo():GetQualityImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Legs"]["B"] = equip[13]:GetItemInfo():GetBackgroundImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Legs"]["U"] = equip[13]:GetItemInfo():GetUnderlayImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Legs"]["S"] = equip[13]:GetItemInfo():GetShadowImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Legs"]["I"] = equip[13]:GetItemInfo():GetIconImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Legs"]["N"] = equip[13]:GetItemInfo():GetName();
			settings["nameAlts"]["alts" .. i]["equipment"]["Legs"]["QA"] = equip[13]:GetItemInfo():GetQuality();
			settings["nameAlts"]["alts" .. i]["equipment"]["Legs"]["CAT"] = equip[13]:GetItemInfo():GetCategory();
			end
			if(equip[14] ~= nil)then
			settings["nameAlts"]["alts" .. i]["equipment"]["Necklace"]["Q"] = equip[14]:GetItemInfo():GetQualityImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Necklace"]["B"] = equip[14]:GetItemInfo():GetBackgroundImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Necklace"]["U"] = equip[14]:GetItemInfo():GetUnderlayImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Necklace"]["S"] = equip[14]:GetItemInfo():GetShadowImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Necklace"]["I"] = equip[14]:GetItemInfo():GetIconImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Necklace"]["N"] = equip[14]:GetItemInfo():GetName();
			settings["nameAlts"]["alts" .. i]["equipment"]["Necklace"]["QA"] = equip[14]:GetItemInfo():GetQuality();
			settings["nameAlts"]["alts" .. i]["equipment"]["Necklace"]["CAT"] = equip[14]:GetItemInfo():GetCategory();
			end
			if(equip[15] ~= nil)then
			settings["nameAlts"]["alts" .. i]["equipment"]["Pocket"]["Q"] = equip[15]:GetItemInfo():GetQualityImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Pocket"]["B"] = equip[15]:GetItemInfo():GetBackgroundImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Pocket"]["U"] = equip[15]:GetItemInfo():GetUnderlayImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Pocket"]["S"] = equip[15]:GetItemInfo():GetShadowImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Pocket"]["I"] = equip[15]:GetItemInfo():GetIconImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Pocket"]["N"] = equip[15]:GetItemInfo():GetName();
			settings["nameAlts"]["alts" .. i]["equipment"]["Pocket"]["QA"] = equip[15]:GetItemInfo():GetQuality();
			settings["nameAlts"]["alts" .. i]["equipment"]["Pocket"]["CAT"] = equip[15]:GetItemInfo():GetCategory();
			end
			if(equip[16] ~= nil)then
			--[[
				Turbine.Shell.WriteLine("Description for item : " .. i ..  " = " .. equip[16]:GetItemInfo():GetDescription());
				Turbine.Shell.WriteLine("category for item : " .. i ..  " = " .. equip[16]:GetItemInfo():GetCategory());
				Turbine.Shell.WriteLine("durability for item : " .. i ..  " = " .. equip[16]:GetItemInfo():GetDurability());
				Turbine.Shell.WriteLine("quality for item : " .. i ..  " = " .. equip[16]:GetItemInfo():GetQuality());
				Turbine.Shell.WriteLine("ismagic for item : " .. i ..  " = " .. tostring(equip[16]:GetItemInfo():IsMagic()));
				Turbine.Shell.WriteLine("isunique for item : " .. i ..  " = " .. tostring( equip[16]:GetItemInfo():IsUnique()));
				Turbine.Shell.WriteLine("name for item : " .. i ..  " = " .. tostring(equip[16]:GetItemInfo():GetName())); 
				]]--
			settings["nameAlts"]["alts" .. i]["equipment"]["PrimaryWeapon"]["Q"] = equip[16]:GetItemInfo():GetQualityImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["PrimaryWeapon"]["B"] = equip[16]:GetItemInfo():GetBackgroundImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["PrimaryWeapon"]["U"] = equip[16]:GetItemInfo():GetUnderlayImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["PrimaryWeapon"]["S"] = equip[16]:GetItemInfo():GetShadowImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["PrimaryWeapon"]["I"] = equip[16]:GetItemInfo():GetIconImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["PrimaryWeapon"]["N"] = equip[16]:GetItemInfo():GetName();
			settings["nameAlts"]["alts" .. i]["equipment"]["PrimaryWeapon"]["QA"] = equip[16]:GetItemInfo():GetQuality();
			settings["nameAlts"]["alts" .. i]["equipment"]["PrimaryWeapon"]["CAT"] = equip[16]:GetItemInfo():GetCategory();
			end
			if(equip[17] ~= nil)then
				settings["nameAlts"]["alts" .. i]["equipment"]["RangedWeapon"]["Q"] = equip[17]:GetItemInfo():GetQualityImageID();
				settings["nameAlts"]["alts" .. i]["equipment"]["RangedWeapon"]["B"] = equip[17]:GetItemInfo():GetBackgroundImageID();
				settings["nameAlts"]["alts" .. i]["equipment"]["RangedWeapon"]["U"] = equip[17]:GetItemInfo():GetUnderlayImageID();
				settings["nameAlts"]["alts" .. i]["equipment"]["RangedWeapon"]["S"] = equip[17]:GetItemInfo():GetShadowImageID();
				settings["nameAlts"]["alts" .. i]["equipment"]["RangedWeapon"]["I"] = equip[17]:GetItemInfo():GetIconImageID();
				settings["nameAlts"]["alts" .. i]["equipment"]["RangedWeapon"]["N"] = equip[17]:GetItemInfo():GetName();
				settings["nameAlts"]["alts" .. i]["equipment"]["RangedWeapon"]["QA"] = equip[17]:GetItemInfo():GetQuality();
				settings["nameAlts"]["alts" .. i]["equipment"]["RangedWeapon"]["CAT"] = equip[17]:GetItemInfo():GetCategory();
			end
			if(equip[18] ~= nil)then
			settings["nameAlts"]["alts" .. i]["equipment"]["Ring1"]["Q"] = equip[18]:GetItemInfo():GetQualityImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Ring1"]["B"] = equip[18]:GetItemInfo():GetBackgroundImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Ring1"]["U"] = equip[18]:GetItemInfo():GetUnderlayImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Ring1"]["S"] = equip[18]:GetItemInfo():GetShadowImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Ring1"]["I"] = equip[18]:GetItemInfo():GetIconImageID();
			settings["nameAlts"]["alts" .. i]["equipment"]["Ring1"]["N"] = equip[18]:GetItemInfo():GetName();
			settings["nameAlts"]["alts" .. i]["equipment"]["Ring1"]["QA"] = equip[18]:GetItemInfo():GetQuality();
			settings["nameAlts"]["alts" .. i]["equipment"]["Ring1"]["CAT"] = equip[18]:GetItemInfo():GetCategory();
			end
			if(equip[19] ~= nil)then
				settings["nameAlts"]["alts" .. i]["equipment"]["Ring2"]["Q"] = equip[19]:GetItemInfo():GetQualityImageID();
				settings["nameAlts"]["alts" .. i]["equipment"]["Ring2"]["B"] = equip[19]:GetItemInfo():GetBackgroundImageID();
				settings["nameAlts"]["alts" .. i]["equipment"]["Ring2"]["U"] = equip[19]:GetItemInfo():GetUnderlayImageID();
				settings["nameAlts"]["alts" .. i]["equipment"]["Ring2"]["S"] = equip[19]:GetItemInfo():GetShadowImageID();
				settings["nameAlts"]["alts" .. i]["equipment"]["Ring2"]["I"] = equip[19]:GetItemInfo():GetIconImageID();
				settings["nameAlts"]["alts" .. i]["equipment"]["Ring2"]["N"] = equip[19]:GetItemInfo():GetName();
				settings["nameAlts"]["alts" .. i]["equipment"]["Ring2"]["QA"] = equip[19]:GetItemInfo():GetQuality();
				settings["nameAlts"]["alts" .. i]["equipment"]["Ring2"]["CAT"] = equip[19]:GetItemInfo():GetCategory();
			end

			if(equip[20] ~= nil)then
				settings["nameAlts"]["alts" .. i]["equipment"]["SecondaryWeapon"]["Q"] = equip[20]:GetItemInfo():GetQualityImageID();
				settings["nameAlts"]["alts" .. i]["equipment"]["SecondaryWeapon"]["B"] = equip[20]:GetItemInfo():GetBackgroundImageID();
				settings["nameAlts"]["alts" .. i]["equipment"]["SecondaryWeapon"]["U"] = equip[20]:GetItemInfo():GetUnderlayImageID();
				settings["nameAlts"]["alts" .. i]["equipment"]["SecondaryWeapon"]["S"] = equip[20]:GetItemInfo():GetShadowImageID();
				settings["nameAlts"]["alts" .. i]["equipment"]["SecondaryWeapon"]["I"] = equip[20]:GetItemInfo():GetIconImageID();
				settings["nameAlts"]["alts" .. i]["equipment"]["SecondaryWeapon"]["N"] = equip[20]:GetItemInfo():GetName();
				settings["nameAlts"]["alts" .. i]["equipment"]["SecondaryWeapon"]["QA"] = equip[20]:GetItemInfo():GetQuality();
				settings["nameAlts"]["alts" .. i]["equipment"]["SecondaryWeapon"]["CAT"] = equip[20]:GetItemInfo():GetCategory();
			end

			if(equip[21] ~= nil)then
				settings["nameAlts"]["alts" .. i]["equipment"]["Shield"]["Q"] = equip[21]:GetItemInfo():GetQualityImageID();
				settings["nameAlts"]["alts" .. i]["equipment"]["Shield"]["B"] = equip[21]:GetItemInfo():GetBackgroundImageID();
				settings["nameAlts"]["alts" .. i]["equipment"]["Shield"]["U"] = equip[21]:GetItemInfo():GetUnderlayImageID();
				settings["nameAlts"]["alts" .. i]["equipment"]["Shield"]["S"] = equip[21]:GetItemInfo():GetShadowImageID();
				settings["nameAlts"]["alts" .. i]["equipment"]["Shield"]["I"] = equip[21]:GetItemInfo():GetIconImageID();
				settings["nameAlts"]["alts" .. i]["equipment"]["Shield"]["N"] = equip[21]:GetItemInfo():GetName();
				settings["nameAlts"]["alts" .. i]["equipment"]["Shield"]["QA"] = equip[21]:GetItemInfo():GetQuality();
				settings["nameAlts"]["alts" .. i]["equipment"]["Shield"]["CAT"] = equip[21]:GetItemInfo():GetCategory();
			end

			if(equip[22] ~= nil)then
				settings["nameAlts"]["alts" .. i]["equipment"]["Shoulder"]["Q"] = equip[22]:GetItemInfo():GetQualityImageID();
				settings["nameAlts"]["alts" .. i]["equipment"]["Shoulder"]["B"] = equip[22]:GetItemInfo():GetBackgroundImageID();
				settings["nameAlts"]["alts" .. i]["equipment"]["Shoulder"]["U"] = equip[22]:GetItemInfo():GetUnderlayImageID();
				settings["nameAlts"]["alts" .. i]["equipment"]["Shoulder"]["S"] = equip[22]:GetItemInfo():GetShadowImageID();
				settings["nameAlts"]["alts" .. i]["equipment"]["Shoulder"]["I"] = equip[22]:GetItemInfo():GetIconImageID();
				settings["nameAlts"]["alts" .. i]["equipment"]["Shoulder"]["N"] = equip[22]:GetItemInfo():GetName();
				settings["nameAlts"]["alts" .. i]["equipment"]["Shoulder"]["QA"] = equip[22]:GetItemInfo():GetQuality();
				settings["nameAlts"]["alts" .. i]["equipment"]["Shoulder"]["CAT"] = equip[22]:GetItemInfo():GetCategory();
			end
		end
	end
end