-- Import Lotro librarys --
import "Turbine";
import "Turbine.UI";
import "Turbine.UI.Lotro";
import "Turbine.UI.Extensions";
import "Turbine.Gameplay";

-- Import Globals --
import "Homeopatix.AltHolic.Globals";

-- Import Utility --
import "Homeopatix.AltHolic.Notification";
import "Homeopatix.AltHolic.LoadAndSave";
import "Homeopatix.AltHolic.MinimizedIcon";
import "Homeopatix.AltHolic.VindarPatch";
import "Homeopatix.AltHolic.FCT";

-- Import initialization --
import "Homeopatix.AltHolic.Init";
import "Homeopatix.AltHolic.Activation";

-- Import Scripts --
import "Homeopatix.AltHolic.Main";

-- Import UI elements --
import "Homeopatix.AltHolic.UI";
import "Homeopatix.AltHolic.UIAddNew";
import "Homeopatix.AltHolic.UIShowEquip";

-- Import Commands --
import "Homeopatix.AltHolic.Commands";

CreateLocalizationInfo();

------------------------------------------------------------------------------------------
-- create the main window
------------------------------------------------------------------------------------------
LoadSettings();

if(settings["nameAccount"]["account1"]["nbrAlt"] == 0 or settings["nameAccount"]["account1"]["isVisible"] == false)then
	CreateMainWindow(350, 130);
	AltHolicWindow:SetVisible(true);
else
	winHeight = (settings["nameAccount"]["account1"]["nbrAlt"] * 46) + 130;
	if(winHeight < 130)then
		winHeight = 200;
	end
	CreateMainWindow(350, winHeight);
	AltHolicWindow:SetVisible(true);
end

CreateAddNewWindow();

local equipMent = Turbine.Gameplay.LocalPlayer:GetInstance():GetEquipment();
local equip = { };

local nbrItems = 0;
for i=1, 20 do
	equip[i] = equipMent:GetItem(i);
end
------------------------------------------------------------------------------------------
-- Closing window handler
------------------------------------------------------------------------------------------
ClosingTheWindow();

------------------------------------------------------------------------------------------
-- handle minimizeIcon
------------------------------------------------------------------------------------------
if(settings["isWindowVisible"]["isWindowVisible"] == true)then
	MainMinimizedIcon = MinimizedIcon(Images.MinimizedIcon, 32, 32, AltHolicWindow:SetVisible(true));
else
	MainMinimizedIcon = MinimizedIcon(Images.MinimizedIcon, 32, 32, AltHolicWindow:SetVisible(false));
end

MainMinimizedIcon:SetPosition(settings["IconPosition"]["xPosIcon"], settings["IconPosition"]["yPosIcon"]);
MainMinimizedIcon:SetZOrder(0);
MainMinimizedIcon.PositionChanged = function()
	settings["IconPosition"]["xPosIcon"] = MainMinimizedIcon:GetLeft();
	settings["IconPosition"]["yPosIcon"] = MainMinimizedIcon:GetTop();
	SaveSettings();
end
